## tokodon 25.08.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "0")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(tokodon VERSION ${RELEASE_SERVICE_VERSION})

option(SAILFISHOS "Build for sailfishOS" OFF)

set(KF_MIN_VERSION "6.12.0")
set(QT_MIN_VERSION "6.8.0")

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/ecm/"
    DESCRIPTION "extra cmake modules")

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Widgets Core Quick Gui QuickControls2 Svg WebSockets Test Multimedia)
set_package_properties(Qt6 PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required application components"
        )

find_package(Qt6WebView ${QT_MIN_VERSION})
set_package_properties(Qt6WebView PROPERTIES
        TYPE OPTIONAL
        PURPOSE "For in-app authentication on mobile"
)
set(USE_QTWEBVIEW ${Qt6WebView_FOUND})

find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami KirigamiPlatform I18n Notifications Config CoreAddons ColorScheme IconThemes)
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components"
)

find_package(KF6Crash ${KF_MIN_VERSION})
set_package_properties(KF6Crash PROPERTIES
        TYPE OPTIONAL
        PURPOSE "For crash handling"
)

find_package(KF6KirigamiAddons 1.1.0)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components and runtime dependency"
)

find_package(Qt6Keychain)
set_package_properties(Qt6Keychain PROPERTIES
    TYPE REQUIRED
    PURPOSE "Secure storage of account secrets"
)

find_package(KUnifiedPush QUIET)
set_package_properties(KUnifiedPush PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Push notification support"
    URL "https://invent.kde.org/libraries/kunifiedpush"
)

if (TARGET KUnifiedPush)
    find_package(OpenSSL)
    set_package_properties(OpenSSL PROPERTIES
            TYPE REQUIRED
            PURPOSE "Generate push notification keys"
    )
endif()

if (ANDROID AND NOT TARGET OpenSSL::SSL)
    find_package(OpenSSL)
    set_package_properties(OpenSSL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Encrypted communications"
    )
endif()

if (SAILFISHOS OR ANDROID)
    find_package(QQC2BreezeStyle)
    set_package_properties(QQC2BreezeStyle PROPERTIES
            PURPOSE "Preferred Qt Quick Controls style"
    )
else()
    find_package(KF6QQC2DesktopStyle)
    set_package_properties(KF6QQC2DesktopStyle PROPERTIES
            TYPE REQUIRED
            PURPOSE "Preferred Qt Quick Controls style"
    )
endif()

if (UNIX AND NOT APPLE AND NOT ANDROID)
    find_package(KF6KIO ${KF_MIN_VERSION})
    set_package_properties(KF6KIO PROPERTIES
            TYPE REQUIRED
            PURPOSE "Sharing content and downloading files"
    )
endif ()

if (UNIX AND NOT APPLE AND NOT ANDROID AND NOT TOKODON_FLATPAK)
    find_package(KF6Purpose ${KF_MIN_VERSION})
    set_package_properties(KF6Purpose PROPERTIES
            TYPE REQUIRED
            PURPOSE "Sharing content from other KDE applications"
    )
endif ()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    find_package(KF6DBusAddons ${KF_MIN_VERSION})
    set_package_properties(KF6DBusAddons PROPERTIES
            TYPE REQUIRED
            PURPOSE "Single application support"
    )
    find_package(KF6WindowSystem ${KF_MIN_VERSION})
    set_package_properties(KF6WindowSystem PROPERTIES
            TYPE REQUIRED
            PURPOSE "Misc windowing operations"
    )
endif ()

find_package(QCoro6 REQUIRED COMPONENTS Core Network)
qcoro_enable_coroutines()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(ECMSetupVersion)
include(KDEInstallDirs)
include(ECMFindQmlModule)
include(KDEClangFormat)
include(ECMQtDeclareLoggingCategory)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(KDEGitCommitHooks)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(ECMCheckOutboundLicense)

if (ANDROID)
    include(ECMAddAndroidApk)
endif ()

qt_policy(SET QTP0004 NEW)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX TOKODON
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/tokodon-version.h
)

ecm_set_disabled_deprecation_versions(
        QT ${QT_MIN_VERSION}
        KF ${KF_MIN_VERSION}
)

ecm_find_qmlmodule(org.kde.kitemmodels REQUIRED)
ecm_find_qmlmodule(org.kde.notification REQUIRED)
ecm_find_qmlmodule(org.kde.kquickcontrolsaddons REQUIRED)
ecm_find_qmlmodule(org.kde.prison REQUIRED)

if (NOT ANDROID)
    ecm_find_qmlmodule(org.kde.sonnet REQUIRED)
endif()

add_subdirectory(src)

ki18n_install(po)

install(FILES org.kde.tokodon.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.tokodon.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.tokodon.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ecm_qt_install_logging_categories(
    EXPORT TOKODON
    FILE tokodon.categories
    SORT DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
# CI installs dependency headers to _install and _build, which break the reuse check
# Fixes the test by excluding this directory
list(FILTER ALL_SOURCE_FILES EXCLUDE REGEX [[.*(install|build).*/.*]])
ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
tokodon (25.08.0-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 11:25:23 +0000

tokodon (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:26:29 +0000

tokodon (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:59:55 +0000

tokodon (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:52:19 +0000

tokodon (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:15:28 +0000

tokodon (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:42:49 +0000

tokodon (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:16:05 +0000

tokodon (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:29:37 +0000

tokodon (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:41:21 +0000

tokodon (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:15:59 +0000

tokodon (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:41:04 +0000

tokodon (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:05:34 +0000

tokodon (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:37:40 +0000

tokodon (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:26:41 +0000

tokodon (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:11:40 +0000

tokodon (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:22:42 +0000

tokodon (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:21:36 +0000

tokodon (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:56:13 +0000

tokodon (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:32:18 +0000

tokodon (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:16:50 +0000

tokodon (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:09:35 +0000

tokodon (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:57:52 +0000

tokodon (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:41:03 +0000

tokodon (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:42:25 +0000

tokodon (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:17:11 +0000

tokodon (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 20:21:25 +0000

tokodon (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 Dec 2022 14:21:19 +0000

## tokodon 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(tokodon VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(tokodon_static STATIC)

ecm_add_qml_module(tokodon_static GENERATE_PLUGIN_SOURCE
        OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/tokodon # Shuts up an annoying upstream Qt warning
        URI org.kde.tokodon)

ecm_qt_declare_logging_category(tokodon_static
    HEADER tokodon_debug.h
    IDENTIFIER TOKODON_LOG
    CATEGORY_NAME org.kde.tokodon
    DESCRIPTION "tokodon"
    DEFAULT_SEVERITY Warning
    EXPORT TOKODON
)

ecm_qt_declare_logging_category(tokodon_static
    HEADER tokodon_http_debug.h
    IDENTIFIER TOKODON_HTTP
    CATEGORY_NAME org.kde.tokodon.http
    DESCRIPTION "Tokodon request"
    EXPORT TOKODON
)

target_sources(tokodon_static
    PRIVATE

    # Shell
    tokodonapplication.cpp
    tokodonapplication.h

    # Account
    account/abstractaccount.cpp
    account/abstractaccount.h
    account/accountmanager.cpp
    account/accountmanager.h
    account/announcementmodel.cpp
    account/announcementmodel.h
    account/featuredtagsmodel.cpp
    account/featuredtagsmodel.h
    account/account.cpp
    account/account.h
    account/preferences.cpp
    account/preferences.h
    account/identity.cpp
    account/identity.h
    account/listsmodel.cpp
    account/listsmodel.h
    account/scheduledstatusesmodel.cpp
    account/scheduledstatusesmodel.h
    account/socialgraphmodel.cpp
    account/socialgraphmodel.h
    account/suggestionsmodel.cpp
    account/suggestionsmodel.h
    account/relationship.cpp
    account/rulesmodel.cpp
    account/rulesmodel.h
    account/profileeditor.cpp
    account/publicserversmodel.cpp
    account/publicserversmodel.h
    account/notificationhandler.cpp
    account/notificationhandler.h
    account/notificationfilteringpolicy.cpp
    account/notificationfilteringpolicy.h
    account/annualreport.cpp
    account/annualreport.h
    account/favoritelistsmodel.cpp
    account/favoritelistsmodel.h
    account/filtersmodel.cpp
    account/filtersmodel.h
    account/blockeddomainmodel.cpp
    account/blockeddomainmodel.h
    account/serverinformation.cpp
    account/serverinformation.h

    # Editor
    editor/posteditorbackend.cpp
    editor/posteditorbackend.h
    editor/attachmenteditormodel.cpp
    editor/attachmenteditormodel.h
    editor/polltimemodel.cpp
    editor/polltimemodel.h
    editor/languagemodel.cpp
    editor/languagemodel.h
    editor/listeditorbackend.cpp
    editor/listeditorbackend.h
    editor/polleditorbackend.cpp
    editor/polleditorbackend.h
    editor/reporteditorbackend.cpp
    editor/reporteditorbackend.h
    editor/filtereditorbackend.cpp
    editor/filtereditorbackend.h

    # Conversation view
    conversation/conversationmodel.cpp
    conversation/conversationmodel.h

    # Timeline
    timeline/post.cpp
    timeline/post.h
    timeline/attachment.cpp
    timeline/attachment.h
    timeline/notification.cpp
    timeline/notification.h
    timeline/poll.cpp
    timeline/poll.h
    timeline/tag.h
    timeline/tag.cpp
    timeline/accountmodel.cpp
    timeline/accountmodel.h
    timeline/threadmodel.cpp
    timeline/threadmodel.h
    timeline/timelinemodel.cpp
    timeline/timelinemodel.h
    timeline/tagstimelinemodel.cpp
    timeline/tagstimelinemodel.h
    timeline/maintimelinemodel.cpp
    timeline/maintimelinemodel.h
    timeline/abstracttimelinemodel.cpp
    timeline/abstracttimelinemodel.h
    timeline/accountmediatimelinemodel.cpp
    timeline/accountmediatimelinemodel.h
    timeline/tagsmodel.h
    timeline/tagsmodel.cpp
    timeline/abstractlistmodel.cpp
    timeline/abstractlistmodel.h
    timeline/trendingnewsmodel.cpp
    timeline/trendingnewsmodel.h

    # Search
    search/searchmodel.cpp
    search/searchmodel.h

    # Misc utils
    utils/blurhash.cpp
    utils/blurhash.h
    utils/blurhashimageprovider.cpp
    utils/blurhashimageprovider.h
    utils/filehelper.cpp
    utils/filehelper.h
    utils/filetransferjob.cpp
    utils/filetransferjob.h
    utils/initialsetupflow.cpp
    utils/initialsetupflow.h
    utils/limitermodel.cpp
    utils/limitermodel.h
    utils/navigation.cpp
    utils/navigation.h
    utils/emojimodel.cpp
    utils/emojimodel.h
    utils/emojis.h
    utils/emojitones.cpp
    utils/emojitones.h
    utils/emojitones_data.h
    utils/messagefiltercontainer.cpp
    utils/messagefiltercontainer.h
    utils/texthandler.cpp
    utils/texthandler.h
    utils/colorschemer.cpp
    utils/colorschemer.h
    utils/customemoji.cpp
    utils/customemoji.h

    # Network related classes
    network/networkrequestprogress.cpp
    network/networkrequestprogress.h
    network/networkaccessmanagerfactory.cpp
    network/networkaccessmanagerfactory.h
    network/networkcontroller.cpp
    network/networkcontroller.h

    # Admin
    admin/accounttoolmodel.cpp
    admin/accounttoolmodel.h
    admin/adminaccountinfo.cpp
    admin/adminaccountinfo.h
    admin/federationtoolmodel.cpp
    admin/federationtoolmodel.h
    admin/federationinfo.h
    admin/federationinfo.cpp
    admin/ipinfo.cpp
    admin/ipinfo.h
    admin/iprulestoolmodel.cpp
    admin/iprulestoolmodel.h
    admin/emailblocktoolmodel.cpp
    admin/emailblocktoolmodel.h
    admin/emailinfo.cpp
    admin/emailinfo.h
    admin/reporttoolmodel.cpp
    admin/reporttoolmodel.h
    admin/reportinfo.h
    admin/reportinfo.cpp

    # Notification models
    notification/notificationgroupingmodel.cpp
    notification/notificationgroupingmodel.h
    notification/notificationmodel.cpp
    notification/notificationmodel.h
)

qt_target_qml_sources(tokodon_static
    QML_FILES
        # Components
        content/ui/Components/Emoji/EmojiDelegate.qml
        content/ui/Components/Emoji/EmojiGrid.qml
        content/ui/Components/Emoji/EmojiPicker.qml
        content/ui/Components/Emoji/EmojiTonesPicker.qml
        content/ui/Components/ClickableIdentityInfo.qml
        content/ui/Components/FocusedImage.qml
        content/ui/Components/InlineIdentityInfo.qml
        content/ui/Components/PopupShadow.qml
        content/ui/Components/ProfileHeader.qml
        content/ui/Components/RoundedEffect.qml
        content/ui/Components/Sidebar.qml
        content/ui/Components/TimelineView.qml
        content/ui/Components/UserCard.qml
        content/ui/Components/QrCodeMaximizeComponent.qml
        content/ui/Components/BoostConfirmationDialog.qml
        content/ui/Components/VideoPlayer.qml
        content/ui/Components/ServerInformationCard.qml

        # Initial Setup
        content/ui/InitialSetup/SetupNotifications.qml
        content/ui/InitialSetup/SetupPassword.qml
        content/ui/InitialSetup/SetupWelcome.qml

        # Login Flow
        content/ui/LoginFlow/BaseAuthorization.qml
        content/ui/LoginFlow/BrowserAuthorization.qml
        content/ui/LoginFlow/CodeAuthorization.qml
        content/ui/LoginFlow/LoginIssuePage.qml
        content/ui/LoginFlow/RegistrationPage.qml
        content/ui/LoginFlow/RulesPage.qml
        content/ui/LoginFlow/ServersPage.qml
        content/ui/LoginFlow/WelcomePage.qml

        # Moderation Tools
        content/ui/ModerationTools/AccountToolPage.qml
        content/ui/ModerationTools/EmailBlockToolPage.qml
        content/ui/ModerationTools/FederationToolPage.qml
        content/ui/ModerationTools/IpRulePage.qml
        content/ui/ModerationTools/MainAccountToolPage.qml
        content/ui/ModerationTools/MainFederationToolPage.qml
        content/ui/ModerationTools/MainIpRulePage.qml
        content/ui/ModerationTools/MainReportToolPage.qml
        content/ui/ModerationTools/ModerationToolsView.qml
        content/ui/ModerationTools/ReportToolPage.qml

        # Notifications
        content/ui/Notifications/AccountWarningDelegate.qml
        content/ui/Notifications/GroupInteractionLabel.qml
        content/ui/Notifications/MinimalPostDelegate.qml
        content/ui/Notifications/RelationshipSeveranceDelegate.qml
        content/ui/Notifications/ReportDelegate.qml
        content/ui/Notifications/UserInteractionLabel.qml
        content/ui/Notifications/AnnualReportDelegate.qml

        # Settings
        content/ui/Settings/AccountPage.qml
        content/ui/Settings/AccountsPage.qml
        content/ui/Settings/AppearancePage.qml
        content/ui/Settings/EditProfilePage.qml
        content/ui/Settings/ErrorLogPage.qml
        content/ui/Settings/NetworkProxyPage.qml
        content/ui/Settings/NotificationsPage.qml
        content/ui/Settings/ProfileEditor.qml
        content/ui/Settings/SafetyPage.qml
        content/ui/Settings/TokodonConfigurationView.qml
        content/ui/Settings/FiltersPage.qml
        content/ui/Settings/EditFilterPage.qml
        content/ui/Settings/BlockedDomainsPage.qml

        # Composer
        content/ui/StatusComposer/EditorAttachmentGrid.qml
        content/ui/StatusComposer/AttachmentInfoDialog.qml
        content/ui/StatusComposer/ComposerPoll.qml
        content/ui/StatusComposer/EmojiDialog.qml
        content/ui/StatusComposer/StatusComposer.qml
        content/ui/StatusComposer/StatusPreview.qml
        content/ui/StatusComposer/ScheduledPostsPage.qml

        # Delegate
        content/ui/PostDelegate/AttachmentGrid.qml
        content/ui/PostDelegate/AttachmentMenu.qml
        content/ui/PostDelegate/InformationBar.qml
        content/ui/PostDelegate/InteractionButton.qml
        content/ui/PostDelegate/LinkMenu.qml
        content/ui/PostDelegate/LinkPreview.qml
        content/ui/PostDelegate/MediaContainer.qml
        content/ui/PostDelegate/PostContent.qml
        content/ui/PostDelegate/PostInfoBar.qml
        content/ui/PostDelegate/PostDelegate.qml
        content/ui/PostDelegate/PostLayout.qml
        content/ui/PostDelegate/PostMenu.qml
        content/ui/PostDelegate/PostPoll.qml
        content/ui/PostDelegate/PostTags.qml
        content/ui/PostDelegate/PostInteractionLabel.qml
        content/ui/PostDelegate/VideoAttachment.qml
        content/ui/PostDelegate/QuotePost.qml
        content/ui/PostDelegate/AudioAttachment.qml
        content/ui/PostDelegate/FilterNotice.qml
        content/ui/PostDelegate/ContentNotice.qml

        # Other
        content/ui/AccountHeader.qml
        content/ui/AccountInfo.qml
        content/ui/AnnouncementsPage.qml
        content/ui/ConversationDelegate.qml
        content/ui/ConversationPage.qml
        content/ui/EditListPage.qml
        content/ui/ExplorePage.qml
        content/ui/FollowDelegate.qml
        content/ui/FollowingPage.qml
        content/ui/FullScreenImage.qml
        content/ui/LanguageSelector.qml
        content/ui/ListsPage.qml
        content/ui/Main.qml
        content/ui/ListTimelinePage.qml
        content/ui/MastoPage.qml
        content/ui/NotificationPage.qml
        content/ui/ReadMarker.qml
        content/ui/ReportDialog.qml
        content/ui/SearchField.qml
        content/ui/SearchPage.qml
        content/ui/SearchView.qml
        content/ui/ShareDialog.qml
        content/ui/SocialGraphPage.qml
        content/ui/StandaloneComposer.qml
        content/ui/ThreadPage.qml
        content/ui/TimelinePage.qml
        content/ui/UserInfo.qml
        content/ui/ServerInformationPage.qml
        content/ui/GenericServerInformationPage.qml
        content/ui/AccountSwitchDialog.qml
)

set_source_files_properties(../org.kde.tokodon.svg PROPERTIES
    QT_RESOURCE_ALIAS /org.kde.tokodon.svg
)

qt_target_qml_sources(tokodon_static
    PREFIX /
    RESOURCES
        content/elephant.svg
        content/mastodon-logo.svg
        ../org.kde.tokodon.svg
)

kconfig_target_kcfg_file(tokodon_static FILE config.kcfg CLASS_NAME Config MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR SINGLETON QML_REGISTRATION)
kconfig_target_kcfg_file(tokodon_static FILE accountconfig.kcfg CLASS_NAME AccountConfig MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION QML_UNCREATABLE)

=== debian/changelog ===
tokodon (25.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_revert_357ef28c_accountpage-use-formlinkdelegate-for-open-ser.patch:
      refresh/update
    - upstream_128cdaa7_Fix-a-crash-when-trying-to-block-an-account-through-the-post-menu.patch:
      drop, backported from upstream
    - upstream_4f09a6e8_Add-mute-block-management-on-the-safety-page.patch:
      drop, backported from upstream
    - upstream_5587bbb9_Use-QLatin1String-in-SocialGraphModel.patch: drop,
      backported from upstream
    - upstream_fc886374_Playback-audio-in-video-attachments.patch: drop,
      backported from upstream
    - upstream_9eb657e1_Fix-crash-when-trying-to-save-less-than-the-max-number-of-fields.patch:
      drop, backported from upstream
    - upstream_b319e681_Add-a-toggle-in-account-settings-for-search-indexing.patch:
      drop, backported from upstream
    - upstream_4643870b_Make-sure-that-toggling-account-options-affects-the-correct-account.patch:
      drop, backported from upstream
    - upstream_df89658d_Fix-possible-erroneous-trailing-space-in-OAuth-scope-parameter.patch:
      drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 6.12.0
    - add libkunifiedpush-dev, qcoro-qt6-dev, qml6-module-org-kde-kitemmodels,
      qml6-module-org-kde-prison, and qml6-module-org-kde-sonnet
    - remove unused libmpvqt-dev, and libqqc2breezestyle-dev
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Build with -Os on armhf to workaround memory issues. (Closes: #1116228)

 -- Pino Toscano <pino@debian.org>  Fri, 26 Sep 2025 10:11:26 +0200

=== debian/control ===
Source: tokodon
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.12.0~),
               gettext,
               kirigami-addons-dev (>= 1.1.0~),
               libkf6colorscheme-dev (>= 6.12.0~),
               libkf6config-dev (>= 6.12.0~),
               libkf6coreaddons-dev (>= 6.12.0~),
               libkf6crash-dev (>= 6.12.0~),
               libkf6dbusaddons-dev (>= 6.12.0~),
               libkf6i18n-dev (>= 6.12.0~),
               libkf6iconthemes-dev (>= 6.12.0~),
               libkf6kio-dev (>= 6.12.0~),
               libkf6notifications-dev (>= 6.12.0~),
               libkf6purpose-dev (>= 6.12.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.12.0~),
               libkirigami-dev (>= 6.12.0~),
               libkunifiedpush-dev,
               libssl-dev,
               qcoro-qt6-dev,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-prison,
               qml6-module-org-kde-purpose,
               qml6-module-org-kde-sonnet,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-websockets-dev (>= 6.8.0~),
               qt6-webview-dev (>= 6.6~) [amd64 arm64 armhf i386],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/tokodon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/tokodon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/tokodon.git

Package: tokodon
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: modern Mastodon client
 Tokodon is a modern client for Mastodon, Pleroma, and Nextcloud Social, built
 using the Kirigami technology.
 .
 Tokodon allows you to interact with the Fediverse community.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=119015
ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
  export DEB_CXXFLAGS_MAINT_APPEND += -Os
endif


%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## tokodon 25.08.2

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

add_library(tokodon_test_static STATIC mockaccount.cpp)
target_link_libraries(tokodon_test_static PUBLIC tokodon_static)

ecm_add_test(posttest.cpp
    TEST_NAME posttest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(timelinetest.cpp
    TEST_NAME timelinetest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(profileeditortest.cpp
    TEST_NAME profileeditortest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(searchtest.cpp
    TEST_NAME searchtest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(conversationmodeltest.cpp
    TEST_NAME conversationmodeltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
    )

ecm_add_test(blurhashtest.cpp
    TEST_NAME blurhashtest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
    )

ecm_add_test(posteditortest.cpp
    TEST_NAME posteditortest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
    )

ecm_add_test(federationtooltest.cpp
    TEST_NAME federationtooltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(iprulestooltest.cpp
    TEST_NAME iprulestooltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(emailblocktooltest.cpp
    TEST_NAME emailblocktooltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(announcementstest.cpp
    TEST_NAME announcementstest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(customemojitest.cpp
    TEST_NAME customemojitest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(rulesmodeltest.cpp
    TEST_NAME rulesmodeltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(listsmodeltest.cpp
    TEST_NAME listsmodeltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(polltimemodeltest.cpp
    TEST_NAME polltimemodeltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(socialgraphmodeltest.cpp
    TEST_NAME socialgraphmodeltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(texthandlertest.cpp
    TEST_NAME texthandlertest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(accounttest.cpp
    TEST_NAME accounttest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

if(CMAKE_SYSTEM_NAME MATCHES "Linux" AND NOT "$ENV{KDECI_BUILD}" STREQUAL "TRUE")
    add_subdirectory(appiumtests)
endif()

=== debian/changelog ===
tokodon (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 12:00:20 +0100

tokodon (25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:16:12 +0100

tokodon (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:00:17 +0100

tokodon (25.08.0-0ubuntu2) questing; urgency=medium

  * Build with -Os on armhf to work around OOM.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Aug 2025 19:25:48 +0100

tokodon (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:35:59 +0100

=== debian/control ===
Source: tokodon
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.11.0~),
               gettext,
               kirigami-addons-dev (>= 1.1.0~),
               libkf6colorscheme-dev (>= 6.11.0~),
               libkf6config-dev (>= 6.11.0~),
               libkf6coreaddons-dev (>= 6.11.0~),
               libkf6crash-dev (>= 6.11.0~),
               libkf6dbusaddons-dev (>= 6.11.0~),
               libkf6i18n-dev (>= 6.11.0~),
               libkf6iconthemes-dev (>= 6.11.0~),
               libkf6kio-dev (>= 6.11.0~),
               libkf6notifications-dev (>= 6.11.0~),
               libkf6purpose-dev (>= 6.11.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.11.0~),
               libkirigami-dev (>= 6.11.0~),
               libmpvqt-dev,
               libqqc2breezestyle-dev (>= 6.0.0~),
               libssl-dev,
               qcoro-qt6-dev,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-purpose,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-websockets-dev (>= 6.8.0~),
               qt6-webview-dev (>= 6.6~) [amd64 arm64 armhf i386],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/tokodon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
Rules-Requires-Root: no

Package: tokodon
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: modern Mastodon client
 Tokodon is a modern client for Mastodon, Pleroma, and Nextcloud Social, built
 using the Kirigami technology.
 .
 Tokodon allows you to interact with the Fediverse community.

## tokodon 25.08.2+p24.04+vstable+git20251011.1307

=== debian/changelog ===
tokodon (25.08.2+p24.04+vstable+git20251011.1307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 13:07:40 +0000

tokodon (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:31:20 +0000

tokodon (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 12:05:20 +0000

## tokodon 25.08.2+p24.04+vstable+git20251020.0053

=== debian/changelog ===
tokodon (25.08.2+p24.04+vstable+git20251020.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:53:06 +0000

## tokodon 25.08.2+p24.04+vstable+git20251021.0340

=== debian/changelog ===
tokodon (25.08.2+p24.04+vstable+git20251021.0340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:40:43 +0000

=== debian/control ===
Source: tokodon
Section: kde
Priority: optional
Build-Depends: cmake,
               cmark,
               debhelper-compat (= 13),
               kf6-breeze-icon-theme,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               kf6-qqc2-desktop-style-dev,
               libcmark-dev,
               libmpv-dev,
               mpvqt-dev,
               pkg-kde-tools,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-websockets-dev,
               qt6-webview-dev,
               qtkeychain-qt6-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/tokodon/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/tokodon.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/tokodon
Maintainer: Neon CI <neon@kde.org>

Package: tokodon
Architecture: any
Depends: mpvqt,
         qml6-module-org-kde-kirigami-addons-components,
         qml6-module-org-kde-kirigami-addons-delegates,
         qml6-module-org-kde-kirigami-addons-labs-components,
         qml6-module-org-kde-kirigami-addons-labs-mobileform,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-qqc2desktopstyle,
         qml6-module-org-kde-syntaxhighlighting,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtwebview,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Client for Mastodon.
 Tokodon is a Mastodon client for Plasma and Plasma Mobile.

## tokodon 25.08.2+p24.04+vstable+git20251024.0255

=== debian/changelog ===
tokodon (25.08.2+p24.04+vstable+git20251024.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:55:11 +0000

## tokodon 25.08.2+p24.04+vstable+git20251031.1015

=== debian/changelog ===
tokodon (25.08.2+p24.04+vstable+git20251031.1015-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:15:14 +0000

## tokodon 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(tokodon VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
tokodon (25.08.3-0zneon+24.04+noble+release+build44) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 02:04:18 +0000

tokodon (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:35 +1000

## tokodon 25.08.3+p24.04+vunstable+git20251202.1013

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(tokodon VERSION ${RELEASE_SERVICE_VERSION})
@@ -42,19 +42,13 @@
 )
 set(USE_QTWEBVIEW ${Qt6WebView_FOUND})
 
-find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami KirigamiPlatform I18n Notifications Config CoreAddons ColorScheme IconThemes)
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami KirigamiPlatform I18n Notifications Config CoreAddons ColorScheme)
 set_package_properties(KF6 PROPERTIES
     TYPE REQUIRED
     PURPOSE "Required application components"
 )
 
-find_package(KF6Crash ${KF_MIN_VERSION})
-set_package_properties(KF6Crash PROPERTIES
-        TYPE OPTIONAL
-        PURPOSE "For crash handling"
-)
-
-find_package(KF6KirigamiAddons 1.1.0)
+find_package(KF6KirigamiAddons 1.10.0)
 set_package_properties(KF6KirigamiAddons PROPERTIES
     TYPE REQUIRED
     PURPOSE "Required application components and runtime dependency"

=== debian/changelog ===
tokodon (25.08.3+p24.04+vunstable+git20251202.1013-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:13:51 +0000

## tokodon 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(tokodon VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -97,17 +97,23 @@
     conversation/conversationmodel.cpp
     conversation/conversationmodel.h
 
+    # Data types
+    datatypes/application.cpp
+    datatypes/application.h
+    datatypes/attachment.cpp
+    datatypes/attachment.h
+    datatypes/card.cpp
+    datatypes/card.h
+    datatypes/poll.cpp
+    datatypes/poll.h
+    datatypes/post.cpp
+    datatypes/post.h
+    datatypes/tag.h
+    datatypes/tag.cpp
+
     # Timeline
-    timeline/post.cpp
-    timeline/post.h
-    timeline/attachment.cpp
-    timeline/attachment.h
     timeline/notification.cpp
     timeline/notification.h
-    timeline/poll.cpp
-    timeline/poll.h
-    timeline/tag.h
-    timeline/tag.cpp
     timeline/accountmodel.cpp
     timeline/accountmodel.h
     timeline/threadmodel.cpp
@@ -256,6 +262,8 @@
         content/ui/Notifications/ReportDelegate.qml
         content/ui/Notifications/UserInteractionLabel.qml
         content/ui/Notifications/AnnualReportDelegate.qml
+        content/ui/Notifications/FollowDelegate.qml
+        content/ui/Notifications/UnknownNotificationDelegate.qml
 
         # Settings
         content/ui/Settings/AccountPage.qml
@@ -311,7 +319,6 @@
         content/ui/ConversationPage.qml
         content/ui/EditListPage.qml
         content/ui/ExplorePage.qml
-        content/ui/FollowDelegate.qml
         content/ui/FollowingPage.qml
         content/ui/FullScreenImage.qml
         content/ui/LanguageSelector.qml
@@ -349,5 +356,3 @@
 )
 
 kconfig_target_kcfg_file(tokodon_static FILE config.kcfg CLASS_NAME Config MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR SINGLETON QML_REGISTRATION)
-kconfig_target_kcfg_file(tokodon_static FILE accountconfig.kcfg CLASS_NAME AccountConfig MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION QML_UNCREATABLE)
-

=== debian/changelog ===
tokodon (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:58:31 +0000

tokodon (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:21:23 +0000

## tokodon 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(tokodon VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
tokodon (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:19:39 +0000

## tokodon 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(tokodon VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
tokodon (25.12.0-0zneon+24.04+noble+release+build46) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 14:00:55 +0000

tokodon (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:21 +1000

## tokodon 25.12.0+p24.04+vstable+git20251231.0218

=== debian/changelog ===
tokodon (25.12.0+p24.04+vstable+git20251231.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:18:39 +0000

## tokodon 25.12.0+p24.04+vunstable+git20251208.1827

=== debian/changelog ===
tokodon (25.12.0+p24.04+vunstable+git20251208.1827-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 18:27:17 +0000
